/*<meta />*/

/* Jan 10, 2023 - homer */

@import url('variables.css');

body
{
	font-family: var(--font-sans);
	font-weight: 300;
	line-height: 1.4;
	color: var(--color-text);
}

body.html
{
	background-image: url('../Images/');
	background-repeat: no-repeat;
}

.menu-icon-container:before
{
	content: 'Homer Christensen';
	font-size: var(--font-size-head);
	font-weight: normal;
	font-family: var(--font-serif);
}

.row.outer-row.sidenav-layout
{
	margin-bottom: 30px;
}

#mc-main-content
{
	width: auto;
	max-width: 800px;
	padding-right: 40px;
}

/* breadcrumbs */

.MCBreadcrumbsBox_0.breadcrumbs
{
	font-size: 85%;
	color: var(--color-head);
	font-weight: 100;
	padding-bottom: 5px;
	margin-bottom: 30px;
}

.MCBreadcrumbsBox_0.breadcrumbs a
{
	color: var(--color-head);
	text-decoration: none;
}

.MCBreadcrumbsSelf
{
	font-weight: 600;
}

/* MENU  */

.sidenav-wrapper
{
	width: clamp(200px,16vw,20vw);
}

ul.sidenav > li
{
	padding-left: 0;
	margin-left: 0;
}

ul.sidenav ul,
ul.sidenav ul ul,
ul.sidenav ul ul ul,
ul.sidenav ul ul ul ul
{
	padding-left: 0.67rem;
	margin-left: 0;
}

ul.sidenav ul > li > a,
ul.sidenav ul ul > li > a,
ul.sidenav ul ul ul > li > a,
ul.sidenav ul ul ul ul > li > a
{
	margin-left: 0;
	padding-left: 0;
}

ul.sidenav li a
{
	font-size: 0.85rem !important;
	font-family: var(--font-sans);
	padding-left: 0;
}

#offCanvas
{
	background-color: var(--color-head) !important;
}

/* Footer */

#footer
{
	text-align: center;
	font-size: small;
	width: 100vw;
	padding: 5px;
	position: fixed;
	bottom: 0;
	background: var(--color-head);
	z-index: 2000;
	left: 0;
	margin: 0;
	height: 30px;
	color: white;
}

/* TYPOGRAPHY  */

h1
{
	font-family: var(--font-serif);
	font-weight: var(--head-bold);
	line-height: 1.0;
	color: var(--color-head);
	font-size: var(--font-size-h1);
	letter-spacing: var(--letter-spacing-h1);
	margin: 0;
}

h2
{
	font-weight: var(--head-bold);
	font-size: var(--font-size-h2);
	line-height: 1.0;
	color: var(--color-head);
}

h1 ~ h2
{
	margin-top: 0;
	padding-top: 10px;
}

h1 + h2
{
	padding-top: 0;
}

h3
{
	font-weight: var(--head-bold);
	line-height: 1.0;
	color: var(--color-head);
}

.emphasis
{
	font-style: italic;
}

/* notes and callouts */

.note:before
{
	position: relative;
	left: -15px;
	content: 'NOTE';
	color: var(--color-head);
	font-weight: bold;
}

.note
{
	padding-left: 40px;
	border-left: 5px solid var(--color-head);
	padding-top: 10px;
	padding-bottom: 10px;
}

p.dedication
{
	text-align: right;
	font-style: italic;
	color: var(--color-head);
}

p.poem-number
{
	color: var(--color-head);
	font-weight: 600;
	padding: 24px 0 6px;
	page-break-after: avoid;
}

div.poem
{
	padding: 20px;
	font-family: var(--font-bodytext);
	line-height: 1.1;
	text-align: left;
}

div.poem h1
{
	font-size: var(--font-size-h2);
	font-family: var(--font-sans);
	font-weight: 600;
	margin-bottom: 20px;
}

div.poem p
{
	line-height: 2;
	margin: 0 3px;
	padding: 0 0 0 20px;
	border-left: 8px solid var(--color-head-light);
}

/* mini-TOC  */

div.MCMiniTocBox_0
{
	border-top: none;
	border-left: 8px solid var(--color-head-light);
	margin: 10px 0 20px;
	padding-top: 0;
}

div.MCMiniTocBox_0 p[class^="MiniTOC"]
{
	line-height: 1.6;
	font-weight: 300;
	color: var(--color-head);
}

div.MCMiniTocBox_0 p[class^=MiniTOC] a
{
	color: var(--color-head);
	font-weight: 100;
}

/* item card */

div.item
{
	width: clamp(300px, 90%, 900px);
	height: clamp(300px, auto, 400px);
	margin: 10px auto 10px 0px;
	padding: 24px 20px 20px clamp(140px,((100vw - 600px)*1000),244px);
	box-sizing: border-box;
	position: relative;
	animation: appear 3.5s ease-in;
	justify-items: left;
	border: 1px solid #0f4657a6;
}

div.item img
{
	position: absolute;
	top: clamp(24px,(100vw - 600px)*-1000,10px);
	left: clamp(24px,(100vw - 600px)*-1000,20px);
	width: clamp(100px,(100vw - 600px)*1000,200px);
	height: clamp(100px,(100vw - 600px)*1000,200px);
	border-radius: clamp(6px,(100vw - 600px)*-1000,50px);
	object-fit: cover;
	object-position: top;
}

div.item > p
{
	padding: 0 0 10px;
	margin: 0;
	position: relative;
}

div.item > p.title
{
	font-family: var(--font-serif);
	color: var(--color-head);
	font-weight: 100;
	line-height: 1;
	padding: 0;
	margin: 0;
	font-size: var(--font-size-h2);
	word-spacing: var(--letter-spacing-h1);
}

div.item > p.subtitle
{
	font-family: var(--font-sans);
	font-weight: 100;
	padding-bottom: .35rem;
	padding-top: 0;
	margin: 0 0 10px 0;
	color: var(--color-head);
	font-style: italic;
}

span[class*='card']
{
	position: relative;
	padding-left: 5px;
}

span[class*='card']:before
{
	position: relative;
	color: var(--color-head-mid);
	padding: 0 5px 0 0;
	left: -5px;
	font-weight: 600;
}

span[class*="wordcount"]:before
{
	content: 'Words';
}

span[class*="category"]:before
{
	content: 'Category';
}

span[class*="text"]:before
{
	content: 'Summary';
}

span[class*="link-text"]:before
{
	content: '';
	position: absolute;
}

span[class*="link-text"]
{
	padding-left: -5px;
}

/* image grid */

.img-grid
{
	/* first breakpoint*/
	--w1: 1000px;
	--n: 3;
	/* second breakpoint*/
	--w2: 600px;
	--m: 2;
	/* third breakpoint*/
	--w3: 350px;
	--p: 1;
	display: grid;
	grid-template-columns: repeat(auto-fill,
      minmax(clamp(clamp(clamp(  
            100%/(var(--n) + 1) + 0.1%,
              (var(--w1) - 100%)*900,
            100%/(var(--m) + 1) + 0.1%), 
              (var(--w2) - 100%)*900,
            100%/(var(--p) + 1) + 0.1%), 
              (var(--w3) - 100%)*1000,
            100%), 1fr));
	gap: 16px;
	overflow: hidden;
	margin: 5px auto;
	/*resize: horizontal;*/
	justify-items: center;
}

img
{
	width: 100%;
	height: auto;
}

img.w50
{
	width: 50px;
	height: auto;
}

img.small
{
	max-width: 200px;
}

img.med
{
	max-width: 500px;
}

img.med
{
	max-width: 800px;
}

.img-grid img
{
	width: 100%;
	max-width: 500px;
	padding: 0.2rem;
	border: 1px solid var(--color-head-light);
}

/* Image gallery */

div.gallery
{
	width: 100%;
}

div.row1,
div.row2,
div.row3,
div.row4
{
	display: flex;
	flex-flow: row wrap;
	justify-content: space-around;
	margin-bottom: 10px;
	gap: 10px;
}

div.row1 img
{
	flex: 0 100%;
	height: auto;
	object-fit: cover;
}

div.row2 img
{
	flex: 1 45%;
	height: auto;
	object-fit: cover;
}

div.row3 img
{
	flex: 1 30%;
	height: auto;
	object-fit: cover;
}

div.row4 img
{
	flex: 1 22%;
	height: auto;
	object-fit: cover;
}

/* bike image gallery */

div.galleryrow
{
	width: 100%;
	display: flex;
	flex-flow: row wrap;
	justify-content: space-around;
	margin-bottom: 10px;
	gap: 10px;
}

div.galleryrow a
{
	flex: 1 30%;
}

/*div.galleryrow a img {height:200px;}*/

img.l1,
img.t1
{
	flex: 0 100%;
	height: auto;
	object-fit: cover;
}

img.l2
{
	flex: 1 40%;
	height: auto;
	object-fit: cover;
	min-width: 150px;
}

img.l3
{
	flex: 1 30%;
	height: auto;
	object-fit: cover;
	min-width: 150px;
}

img.l4
{
	flex: 1 20%;
	height: auto;
	object-fit: cover;
	min-width: 150px;
}

.btm
{
	position: absolute;
	bottom: 1rem;
	left: 1rem;
}

.btm a
{
	color: #777;
}

div.work
{
	width: 100%;
	max-width: 800px;
	font-family: var(--font-sans);
	margin-left: 20px;
	border-left: 10px solid var(--color-head);
	padding-left: 20px;
}

div.work h2
{
	padding-top: 20px;
	padding-bottom: 0;
	margin-bottom: 0;
}

div.work h3
{
	font-size: var(--font-size-h3);
	padding-top: 12px;
	margin-bottom: 5px;
	line-height: 1.25;
	letter-spacing: -.3px;
}

div.work [class^="work-"]
{
	padding-left: 100px;
	position: relative;
}

div.work [class^="work-"]:before
{
	position: absolute;
	left: 0px;
	color: var(--color-head);
	font-weight: 700;
	max-width: 90px;
}

div.work .work-explanatory
{
	padding-top: 0;
	padding-left: 0;
	margin-top: 0;
	font-style: italic;
}

.work-dates,
.work-type,
.work-roles,
.work-recent,
.work-skills,
.work-summary,
.work-clients,
work-downloads
{
	
}

div.work .work-dates:before
{
	content: 'Dates';
}

div.work .work-type:before
{
	content: 'Type';
}

div.work .work-summary:before
{
	content: 'Summary';
}

div.work .work-roles:before
{
	content: 'Roles';
}

div.work .work-recent:before
{
	content: 'Recent';
}

div.work .work-skills:before
{
	content: 'Skills';
}

div.work .work-clients:before
{
	content: 'Clients Include';
}

div.work .work-samples:before
{
	content: 'Samples';
}

div.work .work-clients,
div.work .work-samples
{
	padding-left: 120px;
	list-style: square;
}

.work-clients:before
{
	top: 0px;
}

table.nav
{
	margin: 20px auto;
	width: 80%;
}

table.nav th a
{
	font-family: var(--font-sans);
	font-size: 0.8rem;
	color: var(--color-head);
	text-decoration: none;
	padding: 2px 5px;
	border: 1px solid var(--color-head-light);
	border-radius: 4px;
}

table.nav th a:hover
{
	background-color: var(--color-head-light);
	border-color: var(--color-head);
}

@media only screen and (max-device-width: 767px)
{
	div.work [class^="work-"]
	{
		padding-left: 0px;
		position: relative;
		margin-top: 20px;
		padding-top: 14px;
		font-weight: 100;
	}

	div.work [class^="work-"]:before
	{
		position: absolute;
		left: 0px;
		top: -6px;
		color: var(--color-head);
		font-weight: 700;
	}

	/* Image gallery */

	div.galleryrow a,
	div.row2 img,
	div.row3 img,
	div.row4 img
	{
		flex: 1 45%;
	}
}

